CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

启用属性 (ActiveX)

2023-1-3 17:40| 发布者: admin| 查看: 426| 评论: 0|来自: AutoCAD

摘要: 启用弹出菜单项。指定对象的名称。

启用弹出菜单项。指定对象的名称。

支持的平台:仅窗口

签名

工 务 局:

object.Enable
对象

类型:弹出菜单项

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:项目已启用。
  • False:项目已禁用。

言论

在下面的示例中,“撤消”和“重做”菜单项处于禁用状态。



例子

工 务 局:

Sub Example_Enable()
    ' This example creates a new menu called TestMenu and inserts two menu items
    ' into it. The second menu item is then disabled.
    ' The menu is displayed on the menu bar.
    ' To remove the menu after execution of this macro, use the Customize Menu
    ' option from the Tools menu.
    
    Dim currMenuGroup As acadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)
    
    ' Create the new menu
    Dim newMenu As AcadPopupMenu
    Set newMenu = currMenuGroup.Menus.Add("TestMenu")
    
    ' Add two menu items to the new menu
    Dim MenuEnable As AcadPopupMenuItem
    Dim MenuDisable As AcadPopupMenuItem
    Dim MenuSeparator As AcadPopupMenuItem
    Dim openMacro As String
    
    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)
    
    Set MenuEnable = newMenu.AddMenuItem(newMenu.count + 1, "OpenEnabled", openMacro)
    Set MenuSeparator = newMenu.AddSeparator("")
    Set MenuDisable = newMenu.AddMenuItem(newMenu.count + 1, "OpenDisabled", openMacro)
    
    ' Disable the new menu item
    MenuDisable.Enable = False
    
    ' Display the menu on the menu bar
    newMenu.InsertInMenuBar (ThisDrawing.Application.MenuBar.count + 1)
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Enable()
    ;; This example creates a new menu called TestMenu and inserts two menu items
    ;; into it. The second menu item is then disabled.
    ;; The menu is displayed on the menu bar.
    ;; To remove the menu after execution of this macro, use the Customize Menu
    ;; option from the Tools menu.
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
    
    ;; Create the new menu
    (setq newMenu (vla-Add (vla-get-Menus currMenuGroup) "TestMenu"))
    
    ;; Add two menu items to the new menu
    ;; Assign the macro string the VB equivalent of "ESC ESC _open "
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    
    (setq MenuEnable (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "OpenEnabled" openMacro))
    (setq MenuSeparator (vla-AddSeparator newMenu ""))
    (setq MenuDisable (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "OpenDisabled" openMacro))
    
    ;; Disable the new menu item
    (vla-put-Enable MenuDisable :vlax-false)
    
    ;; Display the menu on the menu bar
    (vla-InsertInMenuBar newMenu (1+ (vla-get-Count (vla-get-MenuBar acadObj))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 15:28

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部